/**
 * Java FsdlRequest Parser
 *
 * @version		Alpha 0.3
 *
 * @copyright	1999-2018 OP3FT
 *
 * This package is provided by the OP3FT to help you create your own
 * dynamic Frogans sites.

 * You are free to use, copy, distribute, modify, adapt, or share
 * this file under the terms set forth in the
 * COPYRIGHT-AND-LICENSE.txt file in this archive.
 *
 * For information about the Java FsdlRequest Parser, see the
 * README.txt file in this archive.
 *
 * @file		FsdlRequestNavigation.java
 *
 */


package fsdl_request_parser;


/**
 * FsdlRequestNavigation
 *
 **/

public class FsdlRequestNavigation
{
	/**
	 * Button
	 */
	public static final int  BUTTON = 1;

	/**
	 * Next
	 */
	public static final int  NEXT = 2;

	/**
	 * Redirect
	 */
	public static final int  REDIRECT = 3;

	/**
	 * Open
	 */
	public static final int  OPEN = 4;

	/**
	 * Returns a text representation
	 *
	 * @param int value
	 * @return String
	 */
	public static String toString(int value)
	{
		if (value == FsdlRequestNavigation.BUTTON)
		{
			return "button";
		}
		else if (value == FsdlRequestNavigation.NEXT)
		{
			return "next";
		}
		else if (value == FsdlRequestNavigation.REDIRECT)
		{
			return "redirect";
		}
		else if (value == FsdlRequestNavigation.OPEN)
		{
			return "open";
		}
		else /* value == FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED */
		{
			return FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED_TOSTRING;
		}
	}
}

