/**
 * Java FsdlRequest Parser
 *
 * @version		Alpha 0.3
 *
 * @copyright	1999-2018 OP3FT
 *
 * This package is provided by the OP3FT to help you create your own
 * dynamic Frogans sites.

 * You are free to use, copy, distribute, modify, adapt, or share
 * this file under the terms set forth in the
 * COPYRIGHT-AND-LICENSE.txt file in this archive.
 *
 * For information about the Java FsdlRequest Parser, see the
 * README.txt file in this archive.
 *
 * @file		FsdlRequestWanted.java
 *
 */


package fsdl_request_parser;


/**
 * FsdlRequestWanted
 *
 **/

public class FsdlRequestWanted
{
	/**
	 * FSDL document
	 */
	public static final int FSDL_DOCUMENT = 1;

	/**
	 * Auxiliary file
	 */
	public static final int AUXILIARY_FILE = 2;

	/**
	 * Returns a text representation
	 *
	 * @param int value
	 * @return String
	 */
	public static String toString(int value)
	{
		if (value == FSDL_DOCUMENT)
		{
			return "fsdl-document";
		}
		else if (value == AUXILIARY_FILE)
		{
			return "auxiliary-file";
		}
		else /* value == FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED */
		{
			return FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED_TOSTRING;
		}
	}
}

